Bug 450254 - Too verbose output when switching on a service without root privileges
Too verbose output when switching on a service without root privileges
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: chkconfig (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-06 05:04 EDT by Martin Nagy
Modified: 2016-07-26 19:46 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-04 16:06:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Nagy 2008-06-06 05:04:46 EDT
Description of problem:
When trying to execute for example "chkconfig squid on" and not being root, the
error output is huge.

Version-Release number of selected component (if applicable):
chkconfig-1.3.37-2.x86_64

How reproducible:
Run chkconfig without root privileges.

Steps to Reproduce:
1. chkconfig squid on
  
Actual results:
failed to make symlink /etc/rc0.d/K50bluetooth: File exists
failed to make symlink /etc/rc1.d/K50bluetooth: File exists
[snip]
failed to make symlink /etc/rc4.d/S90squid: Permission denied
failed to make symlink /etc/rc5.d/S90squid: Permission denied

Expected results:
You do not have permission to set the service on

Additional info:
Comment 1 Bill Nottingham 2008-12-04 16:06:05 EST
http://git.fedorahosted.org/git/?p=chkconfig.git;a=commitdiff;h=cb953f797df42258776c22572cb8e95d7082fb68

Fixed in git, will be in 1.3.40-1.

Note You need to log in before you can comment on or make changes to this bug.